table:
  name: cleanup_form_rubbish_detail
  schema: public
object_relationships:
  - name: brand
    using:
      foreign_key_constraint_on: brand_id
  - name: cleanup_area
    using:
      foreign_key_constraint_on: cleanup_area_id
  - name: cleanup_form
    using:
      foreign_key_constraint_on: cleanup_form_id
  - name: rubbish
    using:
      foreign_key_constraint_on: rubbish_id
insert_permissions:
  - role: editor
    permission:
      check: {}
      columns:
        - quantity
        - volume
        - weight
        - brand_id
        - rubbish_id
        - created_at
        - updated_at
        - cleanup_area_id
        - cleanup_form_id
        - id
    comment: ""
select_permissions:
  - role: anonymous
    permission:
      columns:
        - quantity
        - volume
        - weight
        - brand_id
        - rubbish_id
        - created_at
        - updated_at
        - cleanup_area_id
        - cleanup_form_id
        - id
      filter: {}
    comment: ""
  - role: editor
    permission:
      columns:
        - quantity
        - volume
        - weight
        - brand_id
        - rubbish_id
        - created_at
        - updated_at
        - cleanup_area_id
        - cleanup_form_id
        - id
      filter: {}
      allow_aggregations: true
    comment: ""
update_permissions:
  - role: editor
    permission:
      columns:
        - quantity
        - volume
        - weight
        - brand_id
        - rubbish_id
        - created_at
        - updated_at
        - cleanup_area_id
        - cleanup_form_id
        - id
      filter: {}
      check: {}
    comment: ""
delete_permissions:
  - role: editor
    permission:
      filter: {}
      backend_only: true
    comment: ""
